Public Class Form1

   
    Private dt As DataTable
    Private numArrayRows As Integer
    Private numArrayCols As Integer
    Private button1 As System.Windows.Forms.Button
     
    Private Sub SetUpData()
        Me.Cursor = Cursors.WaitCursor
        Me.numArrayCols = 10
        Me.numArrayRows = 10

        Me.dt = New DataTable()
        Dim i As Integer = 0
        For i = 0 To (Me.numArrayCols) - 1
            Dim col As New DataColumn(String.Format("Column {0}", Convert.ToChar((65 + i))))
            dt.Columns.Add(col)
        Next i

        Dim r As New Random()
        i = 0

        While i < Me.numArrayRows
            Dim row As DataRow = dt.NewRow()
            Dim j As Integer = 0

            While j < Me.numArrayCols
                Dim ch As Integer = r.Next(26)
                row(j) = Convert.ToChar(ch + 65)
                j += 1
            End While
            Me.dt.Rows.Add(row)
            i += 1
        End While
        Me.Cursor = Cursors.Arrow
    End Sub 'SetUpData



    Dim filterBar As GridPopulationSample.GridControlFilterBar


    Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Me.SetUpData()
        filterBar = New GridPopulationSample.GridControlFilterBar()
        filterBar.WireGrid(Me.GridControl1, Me.dt)

        Me.GridControl1.ResetVolatileData()

        AddHandler Me.GridControl1.QueryCellInfo, AddressOf QueryCellInfoHandler
        AddHandler Me.GridControl1.QueryColCount, AddressOf GridQueryColCount
        AddHandler Me.GridControl1.QueryRowCount, AddressOf GridQueryRowCount
        AddHandler Me.GridControl1.SaveCellInfo, AddressOf SaveCellInfoHandler

        Dim i As Integer
        For i = 1 To 10
            Me.GridControl1(0, i).Text = String.Format("Column {0}", Convert.ToChar((64 + i)))
        Next i
        Me.GridControl1.Refresh()
    End Sub 'Form1_Load

    Private Sub QueryCellInfoHandler(ByVal sender As Object, ByVal e As Syncfusion.Windows.Forms.Grid.GridQueryCellInfoEventArgs)
        Dim filterCheck As Integer = 0
        If filterBar.IsWired Then
            filterCheck = 1
        End If
        If e.ColIndex > 0 And e.RowIndex > 0 And e.RowIndex <> filterCheck Then
            e.Style.CellValue = Me.dt.DefaultView((e.RowIndex - (1 + filterCheck)))((e.ColIndex - 1))
            e.Handled = True
        Else
            If e.ColIndex = 0 And e.RowIndex > 0 Then
                e.Style.Text = " "
            End If
        End If
    End Sub 'QueryCellInfoHandler

    Private Sub SaveCellInfoHandler(ByVal sender As Object, ByVal e As Syncfusion.Windows.Forms.Grid.GridSaveCellInfoEventArgs)
        If e.ColIndex > 0 And e.RowIndex > 1 Then
            Me.dt.DefaultView((e.RowIndex - 2))((e.ColIndex - 1)) = e.Style.CellValue
            e.Handled = True
        End If
    End Sub 'SaveCellInfoHandler

    Private Sub GridQueryColCount(ByVal sender As Object, ByVal e As Syncfusion.Windows.Forms.Grid.GridRowColCountEventArgs)
        e.Count = Me.numArrayCols
        e.Handled = True
    End Sub 'GridQueryColCount


    Private Sub GridQueryRowCount(ByVal sender As Object, ByVal e As Syncfusion.Windows.Forms.Grid.GridRowColCountEventArgs)
        e.Count = filterBar.RowCount
        e.Handled = True
    End Sub 'GridQueryRowCount

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        If Me.filterBar.IsWired Then
            Me.filterBar.UnwireGrid()
        Else
            Me.filterBar.WireGrid(Me.GridControl1, Me.dt)
        End If
    End Sub
End Class
